org.eclipse.net4j.util.om.monitor

## Class MonitorCanceledException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.eclipse.net4j.util.om.monitor.MonitorCanceledException

- All Implemented Interfaces:
    java.io.Serializable

      public class MonitorCanceledException
      extends java.lang.RuntimeException

  Since:
    2.0
  Author:
    Eike Stepper
  See Also:
    Serialized Form
  No Extend
    This interface is not intended to be extended by clients.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MonitorCanceledException()`
    `MonitorCanceledException(java.lang.String message)`
    `MonitorCanceledException(java.lang.String message, java.lang.Throwable cause)`
    `MonitorCanceledException(java.lang.Throwable cause)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### MonitorCanceledException

          public MonitorCanceledException()

    - #### MonitorCanceledException

          public MonitorCanceledException(java.lang.String message)

    - #### MonitorCanceledException

          public MonitorCanceledException(java.lang.Throwable cause)

    - #### MonitorCanceledException

          public MonitorCanceledException(java.lang.String message,
                                          java.lang.Throwable cause)

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html